# 2. Query: obține „Fields”

Un exemplu simplu de interogare "Fields" care returnează suprafața în hectare.

{% hint style="info" %}
Unitatea de suprafață a "Field"-ului poate fi una dintre următoarele: `ACRES` sau `HECTARES` sau `SQUARE_METERS`.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldInHectares {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    userUuid
    nume
    fields {
      uuid
      nume
      area(unit: HECTARES)
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
Un exemplu mai detaliat, care include paginare și posibilități de filtrare, este descris în [43: Query Get "Fields"](/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/43.-query-obtine-fields.md).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatia-api/prezentarea-generala-a-solicitarilor-api-geopard/2.-query-obtine-fields.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
